Subject: Re: bug#20388: 11.88; Preview images misaligned when tikz package is loaded

From: Arash Esbati <[email-masked]>
Date: Mon, 04 Mar 2024 10:27:38 +0100

"Braun, Michael" <[email-masked]> writes:

> The LaTeX document below compiles correctly as a pdf, but when using
> preview-latex, the image next to Preview 4 is blank.  Then $f(4)$
> appears next to Preview 5, and $f(5)$ appears next to Preview 6.
> In general, all preview images after the first page break are
> misplaced in the document.
>
> This bug appears only when the tikz package is loaded, and affects
> anything after the first new paragraph after the start of a new page.
> This bug occurs if the page break would have been inserted automatically
> (which I induced with the \vspace{10in} line), or by a \newpage.
>
> Commenting out the usepackage{tikz} statement removes the bug.
> Removing the extra line between Preview 3 and Preview 4 removes the bug.
>
> \documentclass{article}
> \usepackage{tikz}
> \begin{document}
> Preview 1 $f(1)$
>
> Preview 2 $f(2)$
>
> \vspace{10in}
>
> Preview 3 $f(3)$
>
> Preview 4 $f(4)$
> Preview 5 $f(5)$
> Preview 6 $f(6)$
> \end{document}

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This is what I get with a recent AUCTeX and Emacs:

The result looks Ok to me.  I'm closing this report for now.  We can
reopen if you get other results.

Best, Arash